Barth
Netterfield

    kst@omega.astro.utoronto.ca

# Brug af kommandolinjen og eksempler

En typisk brug af Kst er fra kommandolinjen for at oprette X-Y plot eller Z-billeder ud fra datafiler. Kst kan læse ASCII-data, readdata/dirfile kompatible binære filer, og hvis du vil (med eksterne biblioteker) FITS-billeder, PIOLib-filer, netCDF-filer, og HEALPix FITS filer.

&kst;'s kommandolinjesammenfatning

## kst

Et program til plot og datavisning

Flagene er:

    kst Qt-flag KDE-flag flag fil

### Tilvalg

`[fil...]`

  En .kst-fil, eller en eller flere datafiler. Formater som understøttes er ASCII-søjler, BOOMERANG rammefiler, BLAST dirfile-filer og andre mulige typer .kst-fil gemmer alle valgmuligheder som kan angives med andre flag. Følgende flag kan bruges for at sætte flagene sat i .kst-filen ud af kraft: `-F datafile`, `-n NS`, `-s NS`, `-f F0`, `-a`. De øvrige kan ikke sættes ud af kraft. Hvis et flag der sætter andre ud af kraft angives, gælder det alle vektorer i plottet.

  ASCII-data fra stdin kan plottes ved at tage "stdin" med på listen `[fil...]`.

`-y Y`

  Kilden for Y-aksens data. For ASCII-filer er det søjlen. For binære filer er det feltnavnet. For at plotte flere kurver, kan dette angives flere gange. Samme kildefil, samplingsinterval og X-aksedata antages.

`-e E`

  Fejlbjælker for Y-aksens data. For ASCII-filer angives søjlen som indeholder data. Brug feltnavnet til binære filer. Hvis flere `-y Y` flag angives, kan dette også bruges flere gange. Individuelle Y-flag knyttes sammen i rækkefølge med flere E-indgange.

`-x X`

  Kilden til X-aksens data. For ASCII-filer er det søjlen. For readdata-filer er det feltnavnet. Hvis flagene ikke angives, bruges linjenummeret i filen. Dette kan kun angives en gang.

`-z Z`

  Kilden for Z matrixdata (som bliver vist som et billede). For ASCII-filer er dette søjlen der indeholder z-data. For andre mulige formater (HEALPix, FITS-billede osv), er dette navnet på det ønskede matrix-felt, som vist i matrix-dialogen. Nogle matrix-kompatible datakilder tillader også at bruge et alias som er nummeret for det ønskede matrix-felt. For at plot flere matricer, kan dette angives flere gange.

`-p P`

  Kilden til effektspektre. For ASCII-filer er det søjlen. For binære filer er det feltnavnet. For at plotte flere effektspektre for flere kurver, kan dette angives flere gange. Samme kildefil, samplingsinterval og FFT-længder bruges til hvert effektspektrum som der bedes fra kommandolinjen.

`-l P`

  Længden på den FFT som bruges i til at estimere effektspektre er 2^P.

`-h H`

  Kilden til histogrammer. For ASCII-filer er det søjlen. For binære filer er det feltnavnet. Flere histogrammer kan defineres fra kommandolinjen.

`-m NC`

  Burges når flere kurver er defineret. I stedet for at plotte alle kurver i samme plot, plottes hvert i sit eget plot.

`-f F0`

  Første rammenummer (for readdata-filer) eller linjen (for ASCII-filer) som skal læses.

`-n`

  Antal rammer (for readdata-filer) eller linjer (for ASCII-filer) som skal læses.

`-s NS`

  Antal rammer eller linjer som skal springes over ved hver indlæsning. Dette er nyttigt ved arbejde med meget store datafiler, for at gøre svartider hurtigere og spare hukommelse, i det tilfælde hvor data varierer langsomt.

`-a`

  Bruges sammen med flaget `-S NS`: I stedet for at springe over hver NS-post, tages middelværdien af dem. Det giver en kombination af meget elementær højpasfiltrering, og mindskning af hukommelsesforbrug.

`-F datafil`

  Sæt filen som data skal læses fra ud af kraft for alle vektorer som angives i .kst-filen. Kan kun bruges sammen med en kst-fil.

`--print psfil`

  I stedet for at vise plottet, eksportér billedet til en Postscript-fil og afslut. Fejlinformation: Selv om der ikke er noget vindue der vises på skærmen, kræves alligevel adgang til X-serveren.

`--png pngfil`

  I stedet for at vise plottet, eksportér billedet til en PNG-fil med størrelsen 640x480 og afslut. Fejlinformation: Selv om der ikke vises noget vindue på skærmen, kræves alligevel adgang til X-Serveren.

### Eksempler på kommandolinjer

Flere eksempler på typisk brug følger.

For at plotte søjle 1 i filen (tmp.dat) med ASCII-data:

    kst -y 1
    tmp.dat

For at plotte søjle 2, 3 og 4 mod søjle 1 fra en ASCII-fil i et plot:

    kst -x 1 -y 2 -y 3 -y 4 tmp.dat

For at plotte søjle 2, 3 og 4 mod søjle 1 fra en ASCII-fil i tre plot, arrangerede i en søjle:

    kst -x 1 -y 2 -y 3 -y 4 -m 1 tmp.dat

For at plotte 500 linjer i søjle 2 fra en ASCII-fil, begyndende med linje 100:

    kst -y 2 -f 100 -n 500 tmp.dat

For at lotte de første 100 000 linjer af søjle 2 fra en ASCII-fil, med dannelse af middelværdi for hver 100. række:

    kst -y 2 -f 0 -n 100000 -s 100 -a tmp.dat

(Ved brug af den mulige HEALPix Datakilde) For at plotte de første 3 kort i en HEALPix FITS fil i et 2x2 gitter:

    kst -z 1 -z 2 -z 3 -m 2 healpix_example_sm.fits

(Ved brug af den mulige HEALPix Datakilde) For at plotte et kortmed et specifikt feltnavn i en HEALPix FITS fil:

    kst -z "1 - TEMPERATURE (Kelvin)" healpix_eksempel_sm.fits